<?xml version="1.0" encoding="utf-8"?>
<androidx.appcompat.widget.LinearLayoutCompat xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical"
    tools:context=".ui.activity.data.MoreActivityActivity">

    <include
        android:id="@+id/more_activity_top_bar"
        layout="@layout/layout_top_bar" />

    <androidx.core.widget.NestedScrollView style="@style/my_ScrollView_style">

        <androidx.appcompat.widget.LinearLayoutCompat
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:orientation="vertical"
            android:padding="@dimen/dp_8">

            <androidx.appcompat.widget.LinearLayoutCompat
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_marginTop="@dimen/dp_8"
                android:gravity="center_vertical"
                android:orientation="horizontal">

                <include
                    android:id="@+id/il_more_activity_pet_head"
                    layout="@layout/layout_head_image_view"
                    android:layout_width="@dimen/dp_28"
                    android:layout_height="@dimen/dp_28" />

                <com.abbidot.tracker.widget.TypefaceTextView
                    android:id="@+id/tv_more_activity_pet_name"
                    style="@style/my_TextView_style_v2"
                    android:layout_width="0dp"
                    android:layout_marginStart="@dimen/dp_6"
                    android:layout_weight="1"
                    android:gravity="start"
                    android:text="@string/app_name"
                    android:textSize="@dimen/textSize12"
                    app:typeface="@string/roboto_regular_font" />

                <com.abbidot.tracker.widget.TypefaceTextView
                    android:id="@+id/tv_activity_select_calendar_show"
                    style="@style/my_TextView_style_v2"
                    android:drawableEnd="@drawable/selector_calendar_icon_pressed1"
                    android:drawablePadding="@dimen/dp_12"
                    android:text="@string/app_name"
                    android:textSize="@dimen/textSize14"
                    app:typeface="@string/roboto_regular_font" />

            </androidx.appcompat.widget.LinearLayoutCompat>

            <com.abbidot.tracker.widget.calender.HorizontalCalenderViewV2
                android:id="@+id/hcv_activity_data_horizontal_calender_view"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_below="@id/active_history_data_bar"
                android:layout_marginTop="@dimen/dp_8"
                app:zhc_day_selected_text_color="@color/select_color"
                app:zhc_day_unselected_text_color="@color/data_black_color"
                app:zhc_press_shape_selector="@color/transparent" />

            <RelativeLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/dp_18"
                android:background="@drawable/shape32_white_color_bg"
                android:paddingVertical="@dimen/dp_16">

                <com.abbidot.tracker.widget.TypefaceTextView
                    android:id="@+id/tv_more_activity_goal"
                    style="@style/my_TextView_style_v2"
                    android:layout_marginStart="@dimen/dp_16"
                    android:layout_marginTop="@dimen/dp_10"
                    android:text="@string/txt_min_unit_lower"
                    android:textSize="@dimen/textSize18"
                    android:textStyle="bold" />

                <com.abbidot.tracker.widget.TypefaceRoundButton
                    android:id="@+id/btn_more_activity_edit_goal"
                    style="@style/my_QMUIRoundButton_very_small_style"
                    android:layout_alignParentEnd="true"
                    android:layout_marginTop="@dimen/dp_6"
                    android:layout_marginEnd="@dimen/dp_22"
                    android:text="@string/pet_manage_detail_edit"
                    android:textColor="@color/btn_color"
                    app:qmui_borderColor="@color/btn_color"
                    app:qmui_borderWidth="0.55dp"
                    app:typeface="@string/roboto_bold_font" />

                <com.abbidot.tracker.widget.TypefaceTextView
                    android:id="@+id/tv_more_activity_goal_percent"
                    style="@style/my_TextView_style_v2"
                    android:layout_width="@dimen/dp_50"
                    android:layout_below="@id/tv_more_activity_goal"
                    android:layout_alignParentEnd="true"
                    android:layout_marginTop="@dimen/dp_8"
                    android:layout_marginEnd="@dimen/dp_16"
                    android:text="@string/txt_goal_percent"
                    android:textColor="@color/select_color3"
                    android:textSize="@dimen/textSize14"
                    app:typeface="@string/roboto_regular_font" />

                <ProgressBar
                    android:id="@+id/more_activity_time_progress"
                    style="@style/Widget.AppCompat.ProgressBar.Horizontal"
                    android:layout_width="match_parent"
                    android:layout_height="@dimen/dp_8"
                    android:layout_below="@id/tv_more_activity_goal"
                    android:layout_alignStart="@id/tv_more_activity_goal"
                    android:layout_marginTop="@dimen/dp_14"
                    android:layout_toStartOf="@id/tv_more_activity_goal_percent"
                    android:max="100"
                    android:progress="65"
                    android:progressDrawable="@drawable/shape_progress_bar_style" />


                <com.abbidot.tracker.widget.BarChartV2View
                    android:id="@+id/more_active_time_view"
                    android:layout_width="match_parent"
                    android:layout_height="140dp"
                    android:layout_below="@id/more_activity_time_progress"
                    android:layout_alignStart="@id/more_activity_time_progress"
                    android:layout_alignEnd="@id/tv_more_activity_goal_percent"
                    android:layout_marginVertical="@dimen/dp_16"
                    android:layout_marginStart="@dimen/dp_8"
                    app:bar_v2_value_color="@color/gray_green_color" />

                <com.abbidot.tracker.widget.TypefaceTextView
                    style="@style/my_TextView_style_v2"
                    android:layout_alignTop="@id/more_active_time_view"
                    android:layout_alignBottom="@id/more_active_time_view"
                    android:layout_marginStart="@dimen/dp_2"
                    android:rotation="270"
                    android:text="@string/txt_min"
                    android:textColor="@color/select_color3"
                    android:textSize="@dimen/textSize10"
                    app:typeface="@string/roboto_regular_font" />

                <androidx.appcompat.widget.LinearLayoutCompat
                    android:id="@+id/ll_more_active_time_calories"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_below="@id/more_active_time_view"
                    android:layout_alignStart="@id/more_active_time_view"
                    android:layout_alignEnd="@id/more_active_time_view"
                    android:layout_marginTop="@dimen/dp_4"
                    android:orientation="horizontal">

                    <include
                        android:id="@+id/il_more_active_time"
                        layout="@layout/layout_sport_data"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_marginEnd="@dimen/dp_6"
                        android:layout_weight="1" />

                    <include
                        android:id="@+id/il_more_active_calories"
                        layout="@layout/layout_sport_data"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_marginStart="@dimen/dp_6"
                        android:layout_weight="1" />
                </androidx.appcompat.widget.LinearLayoutCompat>

                <androidx.appcompat.widget.LinearLayoutCompat
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:visibility="gone"
                    android:layout_below="@id/ll_more_active_time_calories"
                    android:layout_alignStart="@id/more_active_time_view"
                    android:layout_alignEnd="@id/more_active_time_view"
                    android:layout_marginTop="@dimen/dp_16"
                    android:orientation="horizontal">

                    <include
                        android:id="@+id/il_more_active_distance"
                        layout="@layout/layout_sport_data"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_marginEnd="@dimen/dp_6"
                        android:layout_weight="1" />

                    <include
                        android:id="@+id/il_more_active_calories_avg"
                        layout="@layout/layout_sport_data"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_marginStart="@dimen/dp_6"
                        android:layout_weight="1" />
                </androidx.appcompat.widget.LinearLayoutCompat>
            </RelativeLayout>

            <androidx.appcompat.widget.LinearLayoutCompat
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/dp_8"
                android:background="@drawable/shape32_white_color_bg"
                android:orientation="vertical"
                android:padding="@dimen/dp_16">

                <com.abbidot.tracker.widget.TypefaceTextView
                    style="@style/my_TextView_style_v2"
                    android:text="@string/txt_last_7days"
                    android:textStyle="bold"
                    app:typeface="@string/roboto_regular_font" />

                <com.abbidot.tracker.widget.HorizontalBarChartView
                    android:id="@+id/last_7day_active_chart_view"
                    android:layout_width="match_parent"
                    android:layout_height="@dimen/dp_200"
                    android:layout_below="@id/more_activity_time_progress"
                    android:layout_alignStart="@id/more_activity_time_progress"
                    android:layout_alignEnd="@id/tv_more_activity_goal_percent"
                    android:layout_marginTop="@dimen/dp_8" />

            </androidx.appcompat.widget.LinearLayoutCompat>

            <RelativeLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/dp_8"
                android:background="@drawable/shape32_white_color_bg"
                android:paddingVertical="@dimen/dp_16"
                android:paddingEnd="@dimen/dp_16">

                <com.abbidot.tracker.widget.TypefaceTextView
                    android:id="@+id/last_30day_active_title"
                    style="@style/my_TextView_style_v2"
                    android:layout_marginStart="@dimen/dp_16"
                    android:text="@string/txt_last_30days"
                    android:textStyle="bold"
                    app:typeface="@string/roboto_regular_font" />

                <com.abbidot.tracker.widget.LineChartView
                    android:id="@+id/last_30day_active_line_chart_view"
                    android:layout_width="match_parent"
                    android:layout_height="@dimen/dp_200"
                    android:layout_below="@id/last_30day_active_title"
                    android:layout_alignStart="@id/last_30day_active_title"
                    android:layout_marginTop="@dimen/dp_8" />

                <com.abbidot.tracker.widget.TypefaceTextView
                    style="@style/my_TextView_style_v2"
                    android:layout_alignTop="@id/last_30day_active_line_chart_view"
                    android:layout_alignBottom="@id/last_30day_active_line_chart_view"
                    android:rotation="270"
                    android:text="@string/txt_min"
                    android:textColor="@color/select_color3"
                    android:textSize="@dimen/textSize10"
                    app:typeface="@string/roboto_regular_font" />

                <androidx.appcompat.widget.LinearLayoutCompat
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_below="@id/last_30day_active_line_chart_view"
                    android:layout_marginStart="@dimen/dp_18"
                    android:layout_marginTop="@dimen/dp_16"
                    android:orientation="horizontal">

                    <include
                        android:id="@+id/il_more_active_last30_time_avg"
                        layout="@layout/layout_sport_data"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_marginEnd="@dimen/dp_6"
                        android:layout_weight="1" />

                    <include
                        android:id="@+id/il_more_active_last30_calories_avg"
                        layout="@layout/layout_sport_data"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_marginStart="@dimen/dp_6"
                        android:layout_weight="1" />
                </androidx.appcompat.widget.LinearLayoutCompat>
            </RelativeLayout>

            <androidx.appcompat.widget.LinearLayoutCompat
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_alignStart="@id/last_30day_active_title"
                android:layout_marginVertical="@dimen/dp_8"
                android:background="@drawable/shape32_white_color_bg"
                android:orientation="vertical"
                android:padding="@dimen/dp_16">

                <com.abbidot.tracker.widget.TypefaceTextView
                    android:id="@+id/tv_sport_data_content_more"
                    style="@style/my_TextView_style_v2"
                    android:layout_below="@id/iv_sport_data_type"
                    android:text="@string/txt_total_data"
                    android:textStyle="bold"
                    app:typeface="@string/roboto_regular_font" />

                <androidx.appcompat.widget.LinearLayoutCompat
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/dp_8"
                    android:background="@drawable/shape8_white_gray_bg"
                    android:orientation="horizontal"
                    android:paddingHorizontal="@dimen/dp_12"
                    android:paddingVertical="@dimen/dp_8">

                    <com.abbidot.tracker.widget.TypefaceTextView
                        style="@style/my_TextView_style_v2"
                        android:drawableStart="@drawable/icon_active_time"
                        android:drawablePadding="@dimen/dp_6"
                        android:text="@string/txt_total_time"
                        android:textSize="@dimen/textSize14"
                        app:typeface="@string/roboto_regular_font" />

                    <com.abbidot.tracker.widget.TypefaceTextView
                        android:id="@+id/tv_activity_total_time_hour"
                        style="@style/my_TextView_style_v2"
                        android:layout_width="0dp"
                        android:layout_weight="1"
                        android:gravity="end"
                        android:text="0"
                        android:textStyle="bold" />

                    <com.abbidot.tracker.widget.TypefaceTextView
                        android:id="@+id/tv_activity_total_time_hour_title"
                        style="@style/my_TextView_style_v2"
                        android:layout_marginEnd="@dimen/dp_6"
                        android:text="@string/txt_hrs"
                        android:textColor="@color/select_color3"
                        android:textSize="@dimen/textSize14"
                        app:typeface="@string/roboto_regular_font" />

                    <com.abbidot.tracker.widget.TypefaceTextView
                        android:id="@+id/tv_activity_total_time_min"
                        style="@style/my_TextView_style_v2"
                        android:gravity="end"
                        android:text="0"
                        android:textStyle="bold" />

                    <com.abbidot.tracker.widget.TypefaceTextView
                        style="@style/my_TextView_style_v2"
                        android:text="@string/txt_min"
                        android:textColor="@color/select_color3"
                        android:textSize="@dimen/textSize14"
                        app:typeface="@string/roboto_regular_font" />
                </androidx.appcompat.widget.LinearLayoutCompat>

                <androidx.appcompat.widget.LinearLayoutCompat
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/dp_8"
                    android:visibility="gone"
                    android:background="@drawable/shape8_white_gray_bg"
                    android:orientation="horizontal"
                    android:paddingHorizontal="@dimen/dp_12"
                    android:paddingVertical="@dimen/dp_8">

                    <com.abbidot.tracker.widget.TypefaceTextView
                        style="@style/my_TextView_style_v2"
                        android:drawableStart="@drawable/icon_total_distance_svg"
                        android:drawablePadding="@dimen/dp_6"
                        android:text="@string/txt_total_distance"
                        android:textSize="@dimen/textSize14"
                        app:typeface="@string/roboto_regular_font" />

                    <com.abbidot.tracker.widget.TypefaceTextView
                        android:id="@+id/tv_activity_total_distance"
                        style="@style/my_TextView_style_v2"
                        android:layout_width="0dp"
                        android:layout_weight="1"
                        android:gravity="end"
                        android:text="0"
                        android:textStyle="bold" />

                    <com.abbidot.tracker.widget.TypefaceTextView
                        android:id="@+id/tv_activity_total_distance_unit"
                        style="@style/my_TextView_style_v2"
                        android:text="@string/txt_km"
                        android:textColor="@color/select_color3"
                        android:textSize="@dimen/textSize14"
                        app:typeface="@string/roboto_regular_font" />
                </androidx.appcompat.widget.LinearLayoutCompat>
            </androidx.appcompat.widget.LinearLayoutCompat>
        </androidx.appcompat.widget.LinearLayoutCompat>
    </androidx.core.widget.NestedScrollView>
</androidx.appcompat.widget.LinearLayoutCompat>